#!/usr/bin/python
import re

pattern = '^(?P<test_case_id>\S*\s*\S+)\s+(?P<measurement>\d+.\d+)\s+(?P<units>\S+)\s+(?P<result>\S+)$'
pat = re.compile(pattern)

arrays = ['Linpack 38.841750841750844 mflops pass',
'Scimark2:COMPOSITE    64.9271020249063 mflops pass',
'Scimark2:FTT     42.335937080102994 mflops pass',
'Scimark2:SOR     149.79438988092585 mflops pass',
'Scimark2:MONTECARLO    11.495180424857002 mflops pass',
'Scimark2:SPARSEMATMULT 40.35468037170279 mflops pass',
'Scimark2:LU 80.65532236694283 mflops pass',
'Draw Canvas     19.020522922628157 2d-fps pass',
'Draw Circle     16.864549435700695 2d-fps pass',
'Draw Circle2    22.1918224252543 2d-fps pass',
'Draw Rect       23.478339429908505 2d-fps pass',
'Draw Arc        30.721327836192543 2d-fps pass',
'Draw Image      18.90265499823326 2d-fps pass',
'Draw Text       27.94658093062429 2d-fps pass']


for line in arrays:
    match = pat.search(line)
    if match:
        data = match.groupdict()
        print str(data)
